For the complete documentation index, see llms.txt. This page is also available as Markdown.

User

This page provides APIs to manage users in Saleschat, including adding users, resetting passwords, generating magic links, assigning roles, and fetching user details.

Create a user and add it to the org

post
  • Roles Allowed: ADMIN

  • Impersonated User Allowed: False

  • Partner Allowed: True

  • ask_user_to_update_password_on_login: Default value is False

  • emailConfirmed: User's email will be considered to be confirmed

  • Email to confirm email will not be sent

  • Role of the user added will be Member

  • Sometimes a user may be created without being added to the org and will have to be handled manually

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orgIdstringRequired
Body
emailstring · max: 319Required
passwordstring · min: 8 · max: 64Required
ask_user_to_update_password_on_loginbooleanOptional
first_namestring · max: 40Required
last_namestring · max: 40Required
Responses
200

User created successfully

application/json
user_idstringOptional
post/v1/org/{orgId}/user
POST /v1/org/{orgId}/user HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 117

{
  "email": "text",
  "password": "text",
  "ask_user_to_update_password_on_login": true,
  "first_name": "text",
  "last_name": "text"
}
{
  "user_id": "text"
}

Reset a users password

post
  • Roles Allowed: ADMIN

  • Impersonated User Allowed: True

  • Partner Allowed: True

  • User will be required to reset the password on next login

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orgIdstringRequired
userIdstringRequired
Body
passwordstringRequired
ask_user_to_update_password_on_loginbooleanOptional
Responses
204

Successfully reset

No content

post/v1/org/{orgId}/user/{userId}/password/reset
POST /v1/org/{orgId}/user/{userId}/password/reset HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63

{
  "password": "text",
  "ask_user_to_update_password_on_login": true
}

No content

get
  • Roles Allowed: ADMIN

  • Impersonated User Allowed: False

  • Partner Allowed: True

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orgIdstringRequired
userIdstringRequired
Responses
200

Successfully generated magic link

application/json
urlstringOptional
get/v1/org/{orgId}/user/{userId}/magiclink
GET /v1/org/{orgId}/user/{userId}/magiclink HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "url": "text"
}

Get user by email

get
  • Roles Allowed: MEMBER

  • Impersonated User Allowed: True

  • Partner Allowed: True

  • Supports Partial match on email ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orgIdstringRequired
Query parameters
qstringRequiredDefault: ""
offsetinteger · int32OptionalDefault: 0
sizeinteger · int32OptionalDefault: 10
Responses
200

Successfully fetched user for email ID

application/json
has_morebooleanOptional
get/v1/org/{orgId}/user
GET /v1/org/{orgId}/user?q= HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "text",
      "email": "text",
      "first_name": "text",
      "last_name": "text"
    }
  ],
  "has_more": true
}

Update user information

patch
  • Roles Allowed: ADMIN

  • Impersonated User Allowed: False

  • Partner Allowed: True

  • Updates user's basic information, role, and custom properties

  • Only provided fields will be updated (partial update)

  • Properties are stored as key-value pairs and can contain any custom data

  • Role changes will be reflected in PropelAuth

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orgIdstringRequired
userIdstringRequired
Body
first_namestringOptional
last_namestringOptional
rolestringOptionalPattern: Member|Manager|Admin|Owner
Responses
204

Successfully updated user

No content

patch/v1/org/{orgId}/users/{userId}
PATCH /v1/org/{orgId}/users/{userId} HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "first_name": "text",
  "last_name": "text",
  "role": "text",
  "properties": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

No content

Delete a user

post
  • Roles Allowed: ADMIN

  • Impersonated User Allowed: False

  • Partner Allowed: True

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orgIdstringRequired
userIdstringRequired
Responses
204

Successfully deleted

No content

post/v1/org/{orgId}/user/{userId}/delete
POST /v1/org/{orgId}/user/{userId}/delete HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Disable a user

post
  • Roles Allowed: ADMIN

  • Impersonated User Allowed: False

  • Partner Allowed: True

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orgIdstringRequired
userIdstringRequired
Responses
204

Successfully disabled

No content

post/v1/org/{orgId}/user/{userId}/disable
POST /v1/org/{orgId}/user/{userId}/disable HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Enable a user

post
  • Roles Allowed: ADMIN

  • Impersonated User Allowed: False

  • Partner Allowed: True

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orgIdstringRequired
userIdstringRequired
Responses
204

Successfully enabled

No content

post/v1/org/{orgId}/user/{userId}/enable
POST /v1/org/{orgId}/user/{userId}/enable HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated